TakenAt: 2012-07-15T10:15:10Z
TakenAtLocal: 2012-07-15T10:15:10Z
TakenSrc: meta
UID: pt67lj4ifrcrokow
Type: image
Title: ""
TimeZone: Local
Year: 2012
Month: 7
Day: 15
ISO: 64
Exposure: 1/1022
FNumber: 2.4
FocalLength: 35
Quality: 3
Faces: 1
Details:
  Keywords: grey, portrait
  Software: Camera Genius 3.0
  SoftwareSrc: meta
CreatedAt: 2025-11-24T02:28:16Z
UpdatedAt: 2025-11-24T07:53:28Z
